Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
[Java] Interface FileVisitor

    public interface FileVisitor

A `FileVisitor` is used to visit each of the files in a FileTree.

Method Summary
`void` | `visitDir(FileVisitDetails dirDetails)` Visits a directory.
`void` | `visitFile(FileVisitDetails fileDetails)` Visits a file.

Method Detail

### visitDir

    public void visitDir(FileVisitDetails dirDetails)

  Visits a directory.
  Parameters:
    `dirDetails` - Meta-info about the directory.

### visitFile

    public void visitFile(FileVisitDetails fileDetails)

  Visits a file.
  Parameters:
    `fileDetails` - Meta-info about the file.

Gradle API 1.10